蘋果於今天發佈了 iPhone OS 4 SDK Beta 3(中間還發生了因 Xcode 問題暫時下架的小插曲)。當然也同步釋出了新版本韌體供開發商下載測試。
除了新功能之外,我不知道有多少人發現 SDK 檔案變小了,由之前的 3.X GB 減少到 2.X GB。其中一個很重要的原因是蘋果悄悄的把 3.1.3 以下模擬器跟檔案拿掉了。
某方面來說,這應該是 Apple 刻意的策略,Beta 1 預設不含 3.1.2 以下、Beta 2 減少到更少,Beta 3 則是正式把 3.1.3 以下全部拿掉(也會把硬碟中的舊版本移除掉)。表示你現在起開啓新專案,就只有兩個選擇 OS 3.2 for iPad 或 OS 4 for iPhone/iPod touch。

更糟糕的是,如果你開啓之前的舊專案,則會顯示 Base SDK missing….

這表示隨著 OS 4 SDK 成為正式版本之後,開發者或許再也不能開發 3.1.3 的軟體(除非 SDK 不升級),而不能升級至 OS 4 的一代 iPhone / iPod touch 也將刻意被迫在可使用軟體越來越少狀況下、下台一鞠躬。另一方面,強迫軟體升級至 OS 4 相容,也會迫使現有使用者升級至 OS 4,藉以再次阻擋 JB 的使用、或者保護即將推出的 iPhone 4Gen。而Beta 3 目前也僅支援 10.6 系統。

來國外論壇找一下方法,希望這只是我個人錯誤的使用….

Updated:

感謝 Shunyuan 留言指正於下列地方設定即可:

Toolbar –> info –> set Base SDK : iPhone Device 4.0
Toolbar –> info –> iPhone OS Deployment Target: 3.0

最後修改日期: 2010 年 5 月 5 日

作者

留言

這個說法是錯誤的,事實上,你可在
Toolbar –> info –> set Base SDK : iPhone Device 4.0
Toolbar –> info –> iPhone OS Deployment Target: 3.0
這樣編譯出來的程式就可以給舊的 iPhone 跟 iPod touch 用。
並非一定要用舊的 SDK 才能編譯程式給舊的 iPhone 跟 iPod touch。

撰寫回覆或留言

發佈留言必須填寫的電子郵件地址不會公開。